Unable to install Enterprise Library 2007 on Windows 7

Topics: Enterprise Library Core
Apr 30, 2015 at 5:26 AM
I need Enterprise Library 2007 for my project. When i try installing, it throws the error : Microsoft .Net 2.0 needed . I try to install microsoft .Net 2.0, then it throws the error : .Net 2.0 is already part of the operating system.
I uninstalled .net 4.5.1 from my system and tried installing 2.0, yet it throws the same error.
Is there any workaround for this. ( I have installed microsoft visual studio 2010 ultimate also in my system)